Les prérequis techniques

1. Les serveurs

Drupal fonctionne de manière très classique avec la trilogie usuelle des serveurs : PHP, Apache et MySQL.

Voici les prérequis demandés :

  • Apache en version 2.0 ou supérieure.

  • PHP en version 5.5.9 au minimum, 5.5.21 ou 5.6.5 pour une meilleure sécurité.

  • MySQL en version 5.5.3 ou supérieure.

2. Les hébergeurs

La plupart des hébergeurs vous donnent accès à ces technologies : Apache, MySQL et PHP. À vous de bien vous renseigner sur leurs disponibilités et sur leurs versions avant de vous lancer dans l’installation de Drupal. Contactez votre hébergeur pour lui poser toutes les questions utiles.

3. En local

Pour une installation en locale sur votre propre machine, il vous faut tous ces serveurs. Ces serveurs de publication web existent gratuitement sur les plateformes informatiques courantes. Ce sont les packages LAMP pour Linux (Linux Apache MySQL PHP), WAMP pour Windows (Windows Apache MySQL PHP) et MAMP pour Mac (Mac Apache MySQL PHP).

  • Sous Linux, l’installation des serveurs dépend de la distribution utilisée. Sous Ubuntu, voici l’URL qui indique la démarche à suivre : http://doc.ubuntu-fr.org/lamp.

  • Sur Mac, la solution la plus utilisée est MAMP : https://www.mamp.info/en/. Téléchargez l’installeur et lancez l’installation. Le dossier de publication htdocs du serveur Apache est créé dans le dossier :...

Pour consulter la suite, découvrez le livre suivant :
couv_OW8DDRU.png
60-signet.svg
En version papier
20-ecran_lettre.svg
En version numérique
41-logo_abonnement.svg
En illimité avec l'abonnement ENI
130-boutique.svg
Sur la boutique officielle ENI
Précédent
Les objectifs
Suivant
Installer Drupal